# -*- mode: ruby -*-
# vi: set ft=ruby :

# Vagrantfile API/syntax version. Don't touch unless you know what you're doing!
#VAGRANTFILE_API_VERSION = "2"

# define host configuration
NAME = "amarti-ol73-18c-rpm"
MEMORY = 4096
CPUS = 2

Vagrant.configure("2") do |config|
  config.vm.box = "ol7-latest"
  config.vm.box_url = "https://yum.oracle.com/boxes/oraclelinux/latest/ol7-latest.box"
  config.ssh.insert_key = true
  
  config.vm.box_check_update = false
  config.vbguest.auto_update = false  

  config.vm.provider "virtualbox" do |v|
    v.memory = MEMORY
    v.name = NAME
	v.cpus = CPUS
  end

  # Hostname
  config.vm.hostname = NAME

  # Port forwarding
  config.vm.network "forwarded_port", guest: 1521, host: 1521  
  
  # Uncomment the lines from 33 until 56 to enable the automatic configuration
  #$script = <<-SCRIPT      
  ##Fix IP hostname
  #sed -i '/amarti-ol73-18c-rpm/d' /etc/hosts
  ##Installing the software
  #yum -y install oracle-database-preinstall-18c  
  #yum -y localinstall /vagrant/oracle-database-ee-18c-1.0-1.x86_64.rpm
  ##Creating the oracle database 
  #/etc/init.d/oracledb_ORCLCDB-18c configure
  ##Oracle user environment configuration
  #echo "export ORACLE_HOME=/opt/oracle/product/18c/dbhome_1" >> /home/oracle/.bashrc
  #echo "export PATH=\\$ORACLE_HOME/bin:$PATH" >> /home/oracle/.bashrc
  #echo "export ORACLE_SID=ORCLCDB" >> /home/oracle/.bashrc  
  ##Define system and sys password as welcome1
  #su - oracle -c "sqlplus / as sysdba <<EOF 
  #alter user system identified by welcome1; 
  #alter user sys identified by welcome1; 
  #alter pluggable database all save state;
  #exit; 
  #EOF
  #"
  #SCRIPT
  #
  #config.vm.provision "shell", inline: $script, privileged: true
end
